import { ArgumentMetadata, Injectable, PipeTransform } from '@nestjs/common';
import { sanitize } from '@neuralegion/class-sanitizer/dist';

@Injectable()
export class SanitizePipe implements PipeTransform {
  transform(value: any, metadata: ArgumentMetadata) {
    // console.log(value, typeof value);
    if (value instanceof Object) {
      value = Object.assign(new metadata.metatype(), value);
      sanitize(value);
      // console.log(value);
    }
    return value;
  }
}
