import { Module } from '@nestjs/common';
import { PipelinesResolver } from './pipelines.resolver';
import { PipelinesService } from './pipelines.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Pipeline } from './pipeline.entity';

@Module({
  imports: [TypeOrmModule.forFeature([Pipeline])],
  providers: [PipelinesResolver, PipelinesService],
})
export class PipelinesModule {}
